Module java.corba
Package org.omg.CORBA.DynAnyPackage

## Class InvalidValue

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.omg.CORBA.UserException
      - - org.omg.CORBA.DynAnyPackage.InvalidValue

- All Implemented Interfaces:
    `Serializable`, `IDLEntity`

      public final class InvalidValue
      extends UserException

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InvalidValue​()` | Constructs an `InvalidValue` object.
    `InvalidValue​(String reason)` | Constructs an `InvalidValue` object.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### InvalidValue

          public InvalidValue​()

      Constructs an `InvalidValue` object.

    - #### InvalidValue

          public InvalidValue​(String reason)

      Constructs an `InvalidValue` object.
      Parameters:
        `reason` - a `String` giving more information regarding the exception.